; Initialization file for Free FDISK
;
; This file sets various options for Free FDISK as described below.
;
;
; Note:  This file is optional.  If this file is not found the default
;          settings will be utilized.  Blank lines are not allowed
;          in this file.
;
; Syntax:
;
; ALLOW_4GB_FAT16={TRUE | FALSE}
; ALLOW_ABORT={TRUE | FALSE}                    
; AMBR={ON | OFF}            
; CHECKEXTRA={TRUE | FALSE}
; COLORS={0<=N<=127}
; D_ALL={ON | OFF}
; D_CMD_ARG={ON | OFF}
; D_CR_PART={ON | OFF}
; D_DET_FR_SPC={ON | OFF}
; D_INPUT={ON | OFF}
; D_PATH={ON | OFF}
; D_READ_S={ON | OFF}
; DEL_ND_LOG={ON | OFF}
; DRIVE=#-####-###-##
; EMULATE_DISK={OFF | 1<=N<=8}
; FLAG_SECTOR={0 | 2<=N<=64 | 256}
; LABEL={ON | OFF}
; MONO={ON | OFF}
; REBOOT={ON | OFF}
; SET_ANY_ACT={TRUE | FALSE}
; VERSION={4 | 5 | 6 | FD | W95 | W95B | W98}
; WRITE={ON | OFF}
; XO={ON | OFF}
;
; Note:  The "=" sign in the above syntax is optional.
;
; Description:
;
; ALLOW_4GB_FAT16
;            TRUE   Permits the creation of 4GB, FAT16, partitions.
;         *  FALSE  Limits the maximum FAT16 partition size to 2GB.
;
; ALLOW_ABORT
;            TRUE   Allows the user to abort Free FDISK without making
;                     any changes to the hard disks(s).
;         *  FALSE  Normal operation.
;
; AMBR       ON     Writes an alternate boot loader from the file "boot.mbr."
;                     See the documentation for more details.
;         *  OFF    Writes BootEasy as the boot loader.
;
; CHECKEXTRA        Checks for an extra, unreported, cylinder of space near
;                     the end of all hard drives.
;         *  TRUE          
;            FALSE    
;
; COLORS            Changes the screen colors.
;         *  7      Light Grey on Black
;            0 TO 127   
;
; D_ALL      ON     Show all debugging information for functions that have
;                     built-in debugging capability.
;         *  OFF    All debugging information, for functions with built-in
;                     debugging capabilities, is not displayed.  Individual
;                     functions may display debugging information as 
;                     described elsewhere in this file.
; D_CMD_ARG  
;            ON     Displays the remaining command line arguments as they
;                     are processed.
;         *  OFF
;
; D_CR_PART         Shows debugging information for the function that
;                     creates partitions.
;            ON
;         *  OFF
;
; D_DET_FR_SPC      Shows debugging information for the function that
;                     determines the amount of free space available.
;            ON
;         *  OFF
;
; D_INPUT           Shows debugging information for the function that
;                     obtains user input.
;            ON
;         *  OFF
;
; D_PATH     ON     Displays the path to Free FDISK.
;         *  OFF    Opposite of the above.
;
; D_READ_S   ON     Displays the result of a call to void Read_Physical_Sector()
;         *  OFF
;
; DEL_ND_LOG        Allows non-dos logical drives to be deleted.
;            TRUE
;         *  FALSE
;
; EMULATE_DISK      Emulates the existance of a 6.2 GB hard disk at the
;                     specified physical location.  The hard disk emulated
;                     has 784 cylinders, 255 heads, and 63 sectors.  If 
;                     EMULATE_DISK is not set to off fdisk will automatically
;                     enter its read only mode.
;         *  OFF
;            1 TO 8
;
; FLAG_SECTOR       Sector number where the flags will be located.  The 
;                     default is 2.   
;            0      Disables sector flagging function.
;            2 - 64 Flag sector.
;            256    Set the flag sector to the last sector in the first
;                     cylinder of the first hard disk.
;
; LABEL      ON     Displays "Free FDISK" along the right hand side of the
;                     screen to help avoid confusion between this program
;                     and "other" FDISK programs.
;         *  OFF    No "Free FDISK" label is displayed along the right
;                     hand side of the screen.
;
; MONO       ON     The menus will be displayed without boldfacing the text
;                     for users of monochrome systems.
;         *  OFF    The menus have boldfaced text.
;
;
; REBOOT     ON     Free FDISK will reboot the system upon exiting the
;                     program if changes were made to any partition table.
;         *  OFF    Free FDISK will not, under any circumstances, reboot
;                     the system.
;
; SET_ANY_ACT       If set to true, will allow the user to set any primary
;                     partition active.  Otherwise, it will only set DOS
;                     partition types active.
;         *  TRUE
;            FALSE
;
; VERSION           Version number that Free FDISK will emulate while the
;                     user is using the interactive setup.
;            4      Emulates the MS-FDISK that came with MS-DOS 4.xx.
;            5      Emulates the MS-FDISK that came with MS-DOS 5.xx. 
;            6      Emulates the MS-FDISK that came with MS-DOS 6.xx.
;            W95    Adds support for LBA hard disks.
;            W95B   Same as W95, with the addition of FAT32 support.
;         *  W98    Same as W95B
;            FD     Setting for FreeDOS.  Currently is the same as W95
;                     with ALLOW_4GB_FAT16 set to TRUE.
;
; WRITE   *  ON     Changes will be written the the hard disk(s).
;            OFF    Changes will not be written to the hard disk(s) and
;                     a debugging screen will be displayed.
;
; XO         ON     Extended options will become available in the menus.
;         *  OFF    Extended options will not be available in the menus.
;
;         * Designates default settings if the fdisk.ini file does not 
;           exist or the statement is absent from the fdisk.ini file.
;
;
; To override the autodetection of a hard disk with your own drive geometry:
;     (This function could be used if your BIOS does not correctly detect
;     the geometry of your hard disk.)
;
;     Add the "DRIVE" statement with the syntax of:  DRIVE A-BBBB-CCC-DD
;
;     Where:  A   Represents the drive number
;             B   Represents the number of cylinders
;             C   Represents the number of heads
;             D   Represents the number of sectors
;     i.e.  DRIVE 3-0620-063-64    ->  Sets drive 3 to 620 cylinders, 
;                                      63 heads, and 64 sectors.
;     NOTE:  All fields specified in the DRIVE statement MUST be the EXACT
;            number of characters as indicated above.
;
;     WARNING:  If the drive that you are forcing geometry values for
;               does not exist or the values you enter are greater than
;               what is supported by the hard disk, unpredictable problems
;               will occur.
;
; Always proceed informational lines with a ";" so that Free FDISK ignores
;   that line.
;
; The items and settings below can be separated by equal signs "=" or spaces.
;
; Current settings:
;
     ALLOW_4GB_FAT16  FALSE
     ALLOW_ABORT      FALSE
     AMBR             OFF
     CHECKEXTRA       FALSE
     COLORS           7
     DEL_ND_LOG       TRUE
     FLAG_SECTOR      2
     LABEL            OFF
     MONO             FALSE
     REBOOT           OFF
     SET_ANY_ACT      FALSE
     VERSION          W98   
     XO               OFF
;
; Hard Disk Detection Overrides:
;    (Replace the "#"s with the correct C/H/S values and remove the ";"
;    from the beginning of the line to enable an override.)
;
;    DRIVE 1-####-###-##
;    DRIVE 2-####-###-##
;    DRIVE 3-####-###-##
;    DRIVE 4-####-###-##
;    DRIVE 5-####-###-##
;    DRIVE 6-####-###-##
;    DRIVE 7-####-###-##
;    DRIVE 8-####-###-##
;
; 
; Uncomment the debugging settings, below, if debugging is compiled in.
;
; Debugging settings:
;
;    D_ALL        OFF
;    D_CMD_ARG    OFF
;    D_CR_PART    OFF
;    D_DET_FR_SPC OFF
;    D_INPUT      OFF
;    D_LBA        OFF
;    D_PATH       OFF
;    D_READ_S     OFF
;    EMULATE_DISK OFF  
;     
;    WRITE        ON
;
; 
; End of file marker follows, do not remove it.
999


